SORT(1)

NAAM
sort - sorteer regels in tekst bestand

SAMENVATTING
sort [OPTIE]... [BESTAND]...
sort [OPTIE]... --files0-from=LIJSTBESTAND

BESCHRIJVING

Stuurt gegeven BESTAND(en) samengevoegd en gesorteerd naar standaarduitvoer.

Zonder BESTAND, of wanneer BESTAND '-' is, wordt standaard invoer gelezen.

Een verplicht argument bij een lange optie geldt ook voor de korte vorm. Sorteeropties:

-b, --ignore-leading-blanks
    voorloopwitruimte negeren

-d, --dictionary-order
    alleen witruimte, letters en cijfers beschouwen

-f, --ignore-case
    kleine letters als hoofdletters beschouwen

-g, --general-numeric-sort
    volgens algemene numerieke waarden vergelijken

-i, --ignore-nonprinting
    alleen afdrukbare tekens beschouwen

-M, --month-sort
    ordenen: (onbekend) < 'JAN' < ... < 'DEC'

-h, --human-numeric-sort
    leesbare getallen vergelijken (bijv.: 2K 1G)

-n, --numeric-sort
    vergelijk conform de numerieke waarde van de tekenreeks; zie de volledige documentatie voor ondersteunde tekenreeksen

-R, --random-sort
    husselen, maar identieke sleutels groeperen; zie shuf(1)

--random-source=BESTAND
    BESTAND is bron van willekeurige bytes

-r, --reverse
    het resultaat van de vergelijking omkeren

--sort=WIJZE
    volgens deze methode sorteren; WOORD kan zijn: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    logisch sorteren op (versie)nummers in de naam

Andere opties:

--batch-size=NMERGE
    hoogstens dit aantal invoeren ineens samenvoegen; bij meer, tijdelijke bestanden gebruiken

-c, --check, --check=diagnose-first
    controleren of invoer gesorteerd is; niet sorteren

-C, --check=quiet, --check=silent
    als -c, maar geen melding geven bij de eerste verkeerde regel

--compress-program=PROG
    tijdelijke bestanden met PROG comprimeren; decomprimeren met 'PROG -d'

--debug
    het regel deel markeren waarop gesorteerd wordt, en waarschuwingen geven bij vreemd gebruik

--files0-from=LST
    invoer lezen uit de bestanden die opgesomd staan in LIJSTBESTAND, waar elke naam eindigt op een 0-byte; als LIJSTBESTAND '-' is, dan namen van standaardinvoer lezen

-k, --key=SLEUTELOPGAVE
    sorteren via een sleutel; de SLEUTELOPGAVE geeft locatie en type (zie hieronder)

-m, --merge
    gesorteerde bestanden samenvoegen; niet sorteren

-o, --output=BESTAND
    resultaat naar BESTAND i.p.v. naar standaarduitvoer

-s, --stable
    het sorteren stabiliseren door uitschakelen van de noodvergelijking als niets werkt

-S, --buffer-size=GROOTTE
    te gebruiken grootte voor hoofdgeheugenbuffer

-t, --field-separator=TEKEN
    veldscheidingsteken i.p.v. overgang naar witruimte

-T, --temporary-directory=MAP
    te gebruiken map voor tijdelijke bestanden, in plaats van $TMPDIR of /tmp; meerdere opties geven meerdere mappen

--parallel=AANTAL
    te gebruiken aantal parallelle sorteerprocessen

-u, --unique
    toon alleen de eerste regels met gelijke sleutels; controleer met -c, voor strikte ordening.

-z, --zero-terminated
    regels afsluiten met 0-byte, niet met nieuweregel

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

SLEUTELOPGAVE is van de vorm VN[.TP][OPTIES][,VN[.TP][OPTIES]] voor de starten stopposities, waarin VN het veldnummer is en TP de tekenpositie in het veld, beide tellend vanaf 1, en de stoppositie is standaard het eind van de regel. Als noch -t noch -b gegeven is, worden tekens in een veld geteld vanaf het begin van de voorafgaande witruimte. OPTIES bestaat uit één of meer één letter sorteeropties [bdfgiMnRrV], die globale sorteeropties voor die sorteersleutel overstijgen. Als er geen enkele sleutel gegeven is, dan wordt de hele regel als sleutel gebruikt. Gebruik --debug om sleutelgebruik te diagnosticeren.

GROOTTE mag gevolgd worden door een vermenigvuldigings achtervoegsel: % 1% van het geheugen, b 1, K 1024 (standaard), en zo verder voor M, G, T, P, E, Z, Y, R, Q.

**WAARSCHUWING**: De taalregio gespecificeerd in de omgeving beïnvloedt de sorteervolgorde. Stel 'LC_ALL=C' in voor de traditionele sorteervolgorde die de gewone bytewaarde gebruikt.

AUTEUR
Geschreven door Mike Haertel en Paul Eggert.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
shuf(1), uniq(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/sort>
of lokaal via: info '(coreutils) sort invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.